body{
    background-color: white;
}

nav{
    background-color: rgb(76, 0, 255);
    height: 80px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
}

.logo-area{
    display: flex;
    align-items: center;
}

.logo{
    height: 65px;
    margin-right: 15px;
}

.site-title{
    color: rgb(241, 98, 3);
    font-size: 48px;
    font-weight: bold;
}

nav ul{
    margin: 0px;
    padding: 0;
    list-style: none;
}

nav ul li{
    display: inline-block;
    margin: 0 15px;
}

nav ul li a{
    color: white;
    font-size: 18px;
    padding: 8px 12px;
    text-decoration: none;
    font-weight: bold;
}

nav ul li a:hover{
     background-color: yellow;
    color: green;
    border-radius: 5px;
}

/* dropdown sub menu css*/

nav ul li.dropdown{
    position: relative;
}

.submenu{
    display: none;
    position:absolute;
    top: 100%;
    left:0;
    background-color: darkblue;
    min-width:180px;
    padding: 0;
    z-index: 1000;
}

.submenu li{
    display: block;
    margin: 0;
}

.submenu li a{
    display: block;
    padding: 10px 15px;
    font-size: 16px;
}

nav ul li.dropdown:hover .submenu{
    display: block;
}

.submenu li a:hover{
    background-color: black;
    color: chartreuse;
}


/* contact form container */
.contact-section{
    max-width: 600px;
    margin: 40px auto;
}

/* form */
.contact-form{
    background: #87ceeb;
    padding: 20px;
    border-radius: 6px;
}

/* Title */
.contact-section h2{
    text-align: center;
    margin-bottom: 15px;
}

/* labels */
.contact-form label{
    display: block;
    margin-top: 12px;
    font-weight: 600;
    text-decoration: none;
}

/* inputs */
.contact-form input,
.contact-form select,
.contact-form textarea{
    width: 100%;
    padding: 8px;
    margin-top: 4px;
    border: none;
    border-radius: 4px;
}

/* button */
.contact-form button{
    margin-top: 15px;
    width: 100%;
    padding: 10px;
    background: #035aa6;
    color: turquoise;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}


/* Gallery css  */

.gallery-container{
    max-width: 1200px;
    margin: 40px auto;
    padding: 0 20px;
}

.gallery{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 20px;
}

.gallery-item img{
    width: 100%;
    height: 220px;
    object-fit: cover;
    transition transform 0.4s ease;
}

.gallery-item{
    overflow:hidden;
    border-radius 10px;
    box-shadow: 0 6px 15px rgba (0,0,0,0.2);
    background-color: #fff;

}

.gallery-item:hover img{
    transform: scale(1.2);
}

.gallery-caption{
    text-align: center;
    padding: 10px;
    font-weight: bold;
    background-color: #f4f4f4;
}


/* about us css */
#services{
    width: 100%;
    max-width: 1100px;
    margin: 40px auto;
    padding: 20px;
}

.section-title{
    text-align: center;
    font-size: 32px;
    color: darkolivegreen;
    margin-bottom: 12px;
}

.section-intro{
    text-align: center;
    font-size: 20px;
    font-weight: bolder;
    color: darkgreen;
    margin-bottom: 30px;
}

.services-container{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

.service-card{
    background-color: paleturquoise;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.15);
    display: flex;
    flex-direction: column;
}

.service-title{
    color: maroon;
    margin-bottom: 10px;
}

.service-text{
    line-height: 1.6;
}

.service-img{
    width: 100%;
    height: 180px;
    object-fit: cover;
    border-radius: 6px;
}


/* sales css */
.sales-container{
    max-width: 1200px;
    margin: 40px auto;
    padding: 0 20px;
}

.sales{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 20px;
}

.sales-item img{
    width: 100%;
    height: 220px;
    object-fit: cover;
    transition transform 0.4s ease;
}

.sales-item:hover img{
    transform: scale(1.1.5);
}

.sales-caption{
    text-align: center;
    padding: 10px;
    font-weight: bold;
    background-color: lightskyblue;
}

.sales-img{
    width: 100%;
    height: 180px;
    object-fit: cover;
    border-radius: 6px;
}

/* form */
.contact-form{
    background: #87ceeb;
    padding: 20px;
    border-radius: 6px;
}

/* Title */
.contact-section h2{
    text-align: center;
    margin-bottom: 15px;
}

/* form */
.request-form{
    background: #87ceeb;
    padding: 20px;
    border-radius: 6px;
}

/* labels */
.request-form label{
    display: block;
    margin-top: 12px;
    font-weight: 600;
    text-decoration: none;
}

/* table */
